clear all
close all
clc


filename = 'circ.txt';

i = sqrt(-1);   %declaring the complex number

%   Read the netlist from filename
NetListData = ReadCirc(filename);    

% Send NetListData to MNA_matrices to create the MNA matrices
[S, T, w]  = MNA_matrices(NetListData);

% Show the matrices
S
T
w

% For simple resistive circuits we can solve using linsolve or backslash
% x = linsolve(T,w)
x = T\w

% For frequency domain circuits, one solves (j*omega*S + T)x=w
% where j = sqrt(-1), omega is 2*pi*f, and f is the frequency of interest.

% For the time domain circuits, you need to add code to perform forward and
% backward Euler (if possible) and the trapezoidal scheme.

















